# eric6.Plugins.VcsPlugins.vcsSubversion.SvnChangeListsDialog

Module implementing a dialog to browse the change lists.

### Global Attributes

None

### Classes

SvnChangeListsDialog | Class implementing a dialog to browse the change lists.

### Functions

None

## SvnChangeListsDialog

Class implementing a dialog to browse the change lists.

### Derived from

QDialog, Ui_SvnChangeListsDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnChangeListsDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__procFinished | Private slot connected to the finished signal.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
keyPressEvent | Protected slot to handle a key press event.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_changeLists_currentItemChanged | Private slot to handle the selection of a new item.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_sendButton_clicked | Private slot to send the input to the subversion process.
start | Public slot to populate the data.

### Static Methods

None

#### SvnChangeListsDialog (Constructor)

SvnChangeListsDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### SvnChangeListsDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### SvnChangeListsDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### SvnChangeListsDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### SvnChangeListsDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### SvnChangeListsDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### SvnChangeListsDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SvnChangeListsDialog.on_changeLists_currentItemChanged

on_changeLists_currentItemChanged(current, previous)

Private slot to handle the selection of a new item.

current
  current item (QListWidgetItem)
previous
  previous current item (QListWidgetItem)

#### SvnChangeListsDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### SvnChangeListsDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### SvnChangeListsDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the subversion process.

#### SvnChangeListsDialog.start

start(path)

Public slot to populate the data.

path
  directory name to show change lists for (string)

Up